#### D.6.20.13 qhspectrum

Procedure from library `sing.lib` (see sing_lib).

Usage:
  qhspectrum(f,w); f=poly, w=intvec

Assume:
  f is a weighted homogeneous isolated singularity w.r.t. the weights given by w; w must consist of as many positive integers as there are variables of the basering

Compute:
  the spectral numbers of the w-homogeneous polynomial f, computed in a ring of characteristic 0

Return:
  intvec d,s1,...,su where:
  d = w-degree(f) and si/d = i-th spectral-number(f)
  No return value if basering has parameters or if f is no isolated singularity, displays a warning in this case.

Example:

    LIB "sing.lib";
    ring r;
    poly f=x3+y5+z2;
    intvec w=10,6,15;
    qhspectrum(f,w);
    ==> 30,1,7,11,13,17,19,23,29
    // the spectrum numbers are:
    // 1/30,7/30,11/30,13/30,17/30,19/30,23/30,29/30

User manual for Singular version 4.4.1, 2025, generated by texi2html.